package pracownicy;

import java.util.List;

public class P7_Sortowanie_v2 {

	public static void main(String[] args) {
		List<Employee> emps = ObslugaCSV.wczytaj("pracownicy.csv");
		// W tej wersji użyjemy zapisów z Java 8:
		// Metoda sort w liście oraz wyrażenie lambda do określenia Comparatora
		emps.sort((emp1, emp2) -> emp2.getSalary() - emp1.getSalary());
		
		for (Employee emp : emps) {
			System.out.printf("%s %s (%s) zarabia %d\n",
					emp.getFirstName(), emp.getLastName(), emp.getJobTitle(), emp.getSalary());
		}
	}

}
